
<ion-content>
    <ion-fab class='fabmain' vertical="top" horizontal="start" slot="fixed">
        <ion-fab-button class='blancocolor' color="transparent" (click)="backbutton()">
            <ion-icon name="arrow-back-outline"></ion-icon>
        </ion-fab-button>
    </ion-fab>
    <ion-grid class='start'>
        <ion-row>
          <ion-col class='ion-text-center iotitle'>{{ data.categoria + ' | ' + data.nombreCliente }}</ion-col>
        </ion-row>
        <ion-row>
          <ion-col class='ion-text-center'>
              <ion-label>
                  <h1 class='negritas iotitle'>Agregar QR</h1>
              </ion-label>
          </ion-col>
        </ion-row>
        <ion-grid>
            <ion-row>
              <ion-col>
                  <ion-item color="transparent" lines="none">
                      <ion-label position="floating">QR</ion-label>
                      <ion-select [(ngModel)]="tipoqr" >
                        <ion-select-option value='1'>QR 1</ion-select-option>
                        <ion-select-option value='2'>QR 2</ion-select-option>
                      </ion-select>
                  </ion-item>
              </ion-col>
            </ion-row>
            <br />
            <br />
            <br />
            <ion-row>
                <ion-col class='ion-text-center negritas'>
                    <ion-img class='btn-gal' (click)="addimage()" src='../../assets/iconos/galeria.png'></ion-img>
                </ion-col>
            </ion-row>
            <br />
            <ion-row>
              <ion-col class='ion-text-center'>
                  <ion-button color="morado" class='btn-morado' (click)="giardarimg()">Guardar</ion-button>
              </ion-col>
            </ion-row>
            <br />
            <ion-row>
            <ion-col class='ion-text-center negritas'>
                <ion-img *ngIf="disponible" [src]='base64Image'></ion-img>
            </ion-col>
            </ion-row>
            <ion-row>
            <ion-col class='ion-text-center negritas'>
                <ion-img *ngIf="!errorimg1" [src]='src1' (ionError)="errorImage1()"></ion-img>
                <a *ngIf="showb1" [href]="hrefant1"><ion-button color="morado">Ver Menú Qr 1</ion-button></a>
            </ion-col>
            </ion-row>
            <br />
            <ion-row>
            <ion-col class='ion-text-center negritas'>
                <ion-img *ngIf="!errorimg2" [src]='src2' (ionError)="errorImage2()"></ion-img>
                <a *ngIf="showb2" [href]="hrefant2"><ion-button color="morado">Ver Menú Qr 2</ion-button></a>
            </ion-col>
            </ion-row>
        </ion-grid>
      <!--<ion-list>
          <ion-item *ngFor="let lugar of lugares" (click)="lugarsel(lugar.id)" [ngClass]="{'pressed': lugarid === lugar.id}">
              <ion-grid>
                  <ion-row>
                      <ion-col size='3' class='ion-text-center negritas'>
                          <ion-icon class='icon-map' name="map-outline"></ion-icon>
                      </ion-col>
                      <ion-col size='9'>
                          <ion-row>
                              <ion-col class='negritas'>{{lugar.nombre}}</ion-col>
                          </ion-row>
                          <ion-row>
                              <ion-col>{{lugar.ubicacion}}</ion-col>
                          </ion-row>
                      </ion-col>
                  </ion-row>
              </ion-grid>
          </ion-item>
      </ion-list>-->
    </ion-grid>
</ion-content>
<ion-footer>
    <ion-row>
        <ion-col class='ion-text-center'>
            <ion-img class='fl' src='../../assets/logos/flor.png'></ion-img>
        </ion-col>
    </ion-row>
</ion-footer>
